### Hierarchy

- unknown
  - PaymentMethod

## Index

### Constructors

- constructor

### Methods

- addSupportedAssetCodes
- clearSupportedAssetCodesList
- getId
- getMaxTradeLimit
- getMaxTradePeriod
- getSupportedAssetCodesList
- serializeBinary
- setId
- setMaxTradeLimit
- setMaxTradePeriod
- setSupportedAssetCodesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PaymentMethod(): PaymentMethod

- Inherited from jspb.Message.constructor

  #### Returns PaymentMethod

## Methods

### addSupportedAssetCodes

- addSupportedAssetCodes(value: string, index?: number): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7952

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns PaymentMethod

### clearSupportedAssetCodesList

- clearSupportedAssetCodesList(): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7951

  #### Returns PaymentMethod

### getId

- getId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7940

  #### Returns string

### getMaxTradeLimit

- getMaxTradeLimit(): string

- - Defined in src/protobuf/pb_pb.d.ts:7946

  #### Returns string

### getMaxTradePeriod

- getMaxTradePeriod(): string

- - Defined in src/protobuf/pb_pb.d.ts:7943

  #### Returns string

### getSupportedAssetCodesList

- getSupportedAssetCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7949

  #### Returns string[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7954

  #### Returns Uint8Array

### setId

- setId(value: string): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7941

  #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

### setMaxTradeLimit

- setMaxTradeLimit(value: string): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7947

  #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

### setMaxTradePeriod

- setMaxTradePeriod(value: string): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7944

  #### Parameters

  - ##### value: string

  #### Returns PaymentMethod

### setSupportedAssetCodesList

- setSupportedAssetCodesList(value: string[]): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7950

  #### Parameters

  - ##### value: string[]

  #### Returns PaymentMethod

### toObject

- toObject(includeInstance?: boolean): PaymentMethod . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7955

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PaymentMethod . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7958

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentMethod

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentMethod, reader: BinaryReader): PaymentMethod

- - Defined in src/protobuf/pb_pb.d.ts:7959

  #### Parameters

  - ##### message: PaymentMethod

  - ##### reader: BinaryReader

  #### Returns PaymentMethod

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentMethod, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7957

  #### Parameters

  - ##### message: PaymentMethod

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PaymentMethod ): PaymentMethod . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7956

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentMethod

  #### Returns PaymentMethod . AsObject

Generated using TypeDoc